shogun

f_feats_train = CSVFile("../../data/classifier_binary_2d_linear_features_train.dat");
Math.init_random(1);

%![create_features]
features_train = RealFeatures(f_feats_train);
%![create_features]

%![choose_distance]
distance = EuclideanDistance(features_train, features_train);
%![choose_distance]

%![create_instance_lloyd]
kmeans = KMeans(2, distance);
%![create_instance_lloyd]

%![train_dataset]
kmeans.train();
%![train_dataset]

%![extract_centers_and_radius]
c = kmeans.get_cluster_centers();
r = kmeans.get_radiuses();
%![extract_centers_and_radius]

%![create_instance_mb]
kmeans_mb = KMeansMiniBatch(2, distance);
kmeans_mb.set_mb_params(4, 1000);
%![create_instance_mb]
