shogun

f_feats_train = CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
f_feats_test = CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
f_labels_train = CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
f_labels_test = CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

%![create_features]
features_train = RealFeatures(f_feats_train);
features_test = RealFeatures(f_feats_test);
labels_train = MulticlassLabels(f_labels_train);
labels_test = MulticlassLabels(f_labels_test);
%![create_features]

%![create_instance]
mc_lda = MCLDA(features_train, labels_train, 0.0001, true);
%![create_instance]

%![train_and_apply]
mc_lda.train();
labels_predict = mc_lda.apply_multiclass(features_test);
%![train_and_apply]

%![extract_mean_and_cov]
classlabel = 1;
m = mc_lda.get_mean(classlabel);
c = mc_lda.get_cov();
%![extract_mean_and_cov]

%![evaluate_accuracy]
evals = MulticlassAccuracy();
accuracy = evals.evaluate(labels_predict, labels_test);
%![evaluate_accuracy]

% additional integration testing variables
output = labels_predict.get_labels();
