shogun

f_feats_train = CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
f_feats_test = CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
f_labels_train = CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
f_labels_test = CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

%![create_features]
features_train = RealFeatures(f_feats_train);
features_test = RealFeatures(f_feats_test);
labels_train = MulticlassLabels(f_labels_train);
labels_test = MulticlassLabels(f_labels_test);
%![create_features]

%![create_instance]
shareboost = ShareBoost(features_train, labels_train, 2);
%![create_instance]

%![train_and_apply]
shareboost.train();
features_test_sub = RealSubsetFeatures(features_test, shareboost.get_activeset());
labels_predict = shareboost.apply_multiclass(features_test_sub);
%![train_and_apply]

%![evaluate_accuracy]
eval = MulticlassAccuracy();
accuracy = eval.evaluate(labels_predict, labels_test);
%![evaluate_accuracy]

% additional integration testing variables
output = labels_predict.get_labels();
