shogun

f_feats_train = CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
f_feats_test = CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
f_labels_train = CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
f_labels_test = CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

%![create_features]
features_train = RealFeatures(f_feats_train);
features_test = RealFeatures(f_feats_test);
labels_train = MulticlassLabels(f_labels_train);
labels_test = MulticlassLabels(f_labels_test);
%![create_features]

%![set_parameters]
C = 1.0;
epsilon = 0.0001;
gauss_kernel = GaussianKernel(features_train, features_train, 15);
%![set_parameters]

%![create_instance]
svm = MulticlassLibSVM(C, gauss_kernel, labels_train);
svm.set_epsilon(epsilon);
%![create_instance]

%![train_and_apply]
svm.train();
labels_predict = svm.apply_multiclass(features_test);
%![train_and_apply]

%![evaluate_accuracy]
accu = MulticlassAccuracy();
accuracy = accu.evaluate(labels_predict, labels_test);
%![evaluate_accuracy]

% additional integration testing variables
output = labels_predict.get_labels();
