shogun

f_feats_train = CSVFile("../../data/regression_1d_linear_features_train.dat");
f_feats_test = CSVFile("../../data/regression_1d_linear_features_test.dat");
f_labels_train = CSVFile("../../data/regression_1d_linear_labels_train.dat");
f_labels_test = CSVFile("../../data/regression_1d_linear_labels_test.dat");
Math.init_random(1);

%![create_features]
features_train = RealFeatures(f_feats_train);
features_test = RealFeatures(f_feats_test);
labels_train = RegressionLabels(f_labels_train);
labels_test = RegressionLabels(f_labels_test);
%![create_features]

%![create_combination_rule]
mean_rule = MeanRule();
%![create_combination_rule]

%![create_instance]
rand_forest = RandomForest(features_train, labels_train, 5);
rand_forest.set_combination_rule(mean_rule);
%![create_instance]

%![train_and_apply]
rand_forest.train();
labels_predict = rand_forest.apply_regression(features_test);
%![train_and_apply]

%![evaluate_error]
mse = MeanSquaredError();
oob = rand_forest.get_oob_error(mse);
mserror = mse.evaluate(labels_predict, labels_test);
%![evaluate_error]

% additional integration testing variables
output = labels_predict.get_labels();
